Get Bundles

Get Bundles
List all available bundles

Retrieves a paginated list of all bundles available in installer with their current status and metadata.

Usage:

  • Use this to discover available bundles before selecting one for deployment
  • Results are paginated - use the pagination parameters to navigate large result sets
Request
URI
GET
https://{api_host}/https://{api_host}:{port}/lh-appliance/bundles
COPY
Query Parameters
integer
offset
Optional
Constraints: minimum: 0 default: 0

Offset pagination parameter used to exclude from a response the first N items of a resource collection. Combine the offset and the page_size options to request a particular set or page of items.

integer
page_size
Optional
Constraints: minimum: 0 default: 1000

Number of records to be returned in the API request from the provided offset

boolean,null
sort_ascending
Optional
Constraints: default: false

True, if the list of records returned need to be sorted in ascending order, false otherwise.

string
sort_by
Optional

The parameter name on which to sort the list of records. Only top-level parameters in the returned list of records will be supported. If not provided, system will define the parameter by which results are sorted.


Authentication
This operation uses the following authentication methods.
Responses
200

List of available bundles

Returns ListBundles of type(s) application/json
This response body class contains all of the following: ListResult , InlineListBundles1
{
    "offset": 0,
    "number_of_results": 0,
    "total_result_count": 0,
    "total_pages": 0,
    "sort_ascending": false,
    "sort_by": "string",
    "results": [
        {
            "_create_user": "string",
            "_create_time": 0,
            "_last_modified_user": "string",
            "_last_modified_time": 0,
            "_revision": 0,
            "_resource_type": "string",
            "_system_owned": false,
            "id": "string",
            "display_name": "string",
            "description": "string",
            "site_ids": [
                "string"
            ],
            "bundle_version": "2.0.0.0.0.25470417",
            "status": "READY",
            "bundle_type": "LICENSE_HUB",
            "packaged_time": 1780387820585,
            "progress": 100,
            "size": 9090860612,
            "message": "uploading is done.",
            "addons": []
        }
    ]
}

400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


default

4XX and 5XX type errors with appropriate message

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/https://{api_host}:{port}/lh-appliance/bundles